<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.effect.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<Pane fx:id="pane" prefHeight="510.0" prefWidth="420.0" style="-fx-background-color: linear-gradient(to right top, #051937, #29395c, #4b5d84, #6f83ad, #94acd9);" stylesheets="@Stylesheet.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="Controller.LoginCtrl">
    <children>
        <TextField fx:id="ID" layoutX="138.0" layoutY="151.0" prefHeight="32.0" prefWidth="180.0" promptText="ID" style="-fx-background-color: transparent; -fx-border-color: #221f3b; -fx-border-width: 0px 0px 2px 0px;">
            <effect>
                <InnerShadow />
            </effect>
        </TextField>
        <PasswordField fx:id="password" layoutX="138.0" layoutY="225.0" prefHeight="32.0" prefWidth="180.0" promptText="Password" style="-fx-background-color: transparent; -fx-border-color: #221f3b; -fx-border-width: 0px 0px 2px 0px;">
            <effect>
                <InnerShadow />
            </effect>
        </PasswordField>
        <JFXButton buttonType="RAISED" cache="true" layoutX="162.0" layoutY="297.0" onAction="#loginHandler" prefHeight="25.0" prefWidth="111.0" style="-fx-background-color: #4d4c7d; -fx-background-radius: 11pt; -fx-text-fill: #ffe2ff;" text="Log In" />
        <JFXButton buttonType="RAISED" layoutX="162.0" layoutY="448.0" onAction="#signUpHandler" prefHeight="25.0" prefWidth="111.0" style="-fx-background-color: #4d4c7d; -fx-background-radius: 11pt; -fx-text-fill: #ffe2ff;" text="Sign Up" />
        <Label fx:id="ErrorLbl" alignment="CENTER" layoutX="115.0" layoutY="264.0" prefHeight="25.0" prefWidth="216.0" />
        <ImageView fitHeight="21.0" fitWidth="21.0" layoutX="110.0" layoutY="156.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@../Images/iconfinder_user_1608727.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="23.0" fitWidth="23.0" layoutX="109.0" layoutY="230.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@../Images/iconfinder_lock_1608769.png" />
            </image>
        </ImageView>
        <Label alignment="CENTER" layoutX="53.0" layoutY="49.0" prefHeight="59.0" prefWidth="329.0" text="Welcome To MyTwitter! :)" textFill="#ffe2ff">
            <font>
                <Font name="Segoe Script" size="23.0" />
            </font>
        </Label>
        <Label alignment="CENTER" layoutX="136.0" layoutY="412.0" prefHeight="25.0" prefWidth="163.0" text="Don't have an account?" textFill="#ffe2ff" />
        <Label layoutX="143.0" layoutY="332.0" onMouseClicked="#forgotPassHandler" text="Forgot your password?" textFill="#ffe2ff" underline="true">
            <cursor>
                <Cursor fx:constant="HAND" />
            </cursor>
        </Label>
        <Label layoutX="370.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" onMouseClicked="#minimizeHandler" prefHeight="25.0" prefWidth="25.0" styleClass="min-btn">
            <graphic>
                <ImageView fitHeight="25.0" fitWidth="25.0" pickOnBounds="true" preserveRatio="true" styleClass="min-btn">
                    <image>
                        <Image url="@../Images/windowminimize_104316.png" />
                    </image>
                </ImageView>
            </graphic>
        </Label>
        <Label layoutX="395.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" onMouseClicked="#closeHandler" prefHeight="25.0" prefWidth="25.0" styleClass="close-btn">
            <graphic>
                <ImageView fitHeight="25.0" fitWidth="25.0" pickOnBounds="true" preserveRatio="true" styleClass="close-btn">
                    <image>
                        <Image url="@../Images/windowclose_104378.png" />
                    </image>
                </ImageView>
            </graphic>
        </Label>
    </children>
</Pane>
